Monday 29th of May 2017 06:01:11 PM
Speedtest.net Mini requires at least version 8 of Flash. Please update your client.